from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAttributes(XInterface, Protocol):
    def getLength(self) -> int: ...
    def getIndexByQName(self, qName: str) -> int: ...
    def getIndexByUidName(self, uid: int, localName: str) -> int: ...
    def getQNameByIndex(self, nIndex: int) -> str: ...
    def getUidByIndex(self, nIndex: int) -> int: ...
    def getLocalNameByIndex(self, nIndex: int) -> str: ...
    def getValueByIndex(self, nIndex: int) -> str: ...
    def getValueByUidName(self, uid: int, localName: str) -> str: ...
    def getTypeByIndex(self, nIndex: int) -> str: ...
